<script setup lang="ts">
import { useQuePreparingStore } from "../../stores/quePrepair";
// const que = useQuePreparingStore();
import { mdiCheckCircleOutline, mdiCloseCircle } from "@mdi/js";

import { ref } from "vue";
const que = ref([
  { id: 1, name: "ผัดผักรวม", tableNumber: "4" },
  { id: 2, name: "ข้าวกะเพราหมูสับ", tableNumber: "4" },
]);
</script>

<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-card class="mx-auto mt-3" width="550px" height="500px">
          <v-card-item>
            <v-table height="300px">
              <thead>
                <tr>
                  <th class="text-center">No.</th>
                  <th class="text-center">ชื่อ</th>
                  <th class="text-center">โต๊ะ</th>
                  <th class="text-center">ยืนยัน / ยกเลิก</th>
                </tr>
              </thead>
              <tbody v-for="item of que" :key="item.id">
                <tr>
                  <td class="text-center">{{ item.id }}</td>
                  <td>{{ item.name }}</td>
                  <td class="text-center">{{ item.tableNumber }}</td>
                  <td class="text-center">
                    <v-btn
                      :icon="mdiCheckCircleOutline"
                      color="secondary"
                      class="ma-1"
                    ></v-btn>
                    <v-btn
                      :icon="mdiCloseCircle"
                      color="error"
                      class="ma-1"
                    ></v-btn>
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-card-item>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped></style>

<!-- <script setup lang="ts">
import { mdiCheckboxMarkedCircle } from "@mdi/js";
</script>
<template> -->
<!-- <v-card color="white">
    <v-container> -->
<!-- <v-card width="800">
    <v-toolbar color="success">
      <v-row class="justify-center">
        <div class="text-h7">โต๊ะ 6</div>
      </v-row>
    </v-toolbar>
    <v-container>
      <v-row>
        <v-col> รายการ </v-col>
        <v-col> จำนวน</v-col>
        <v-col> สถานะ </v-col>
        <v-col> ตัวเลือก</v-col>
      </v-row>
      <v-row>
        <v-col> ไข่เจียว </v-col>
        <v-col> 1 </v-col>
        <v-col> รอเสริฟ </v-col>
        <v-col>
          <v-btn color="green" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row> -->
<!-- 2-->
<!-- <v-row>
        <v-col> ผัดผักชี </v-col>
        <v-col> 1 </v-col>
        <v-col> ส่งครัว </v-col>
        <v-col>
          <v-btn color="grey" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row> -->
<!-- 3-->
<!-- <v-row>
        <v-col> เข้าผัดกุ้ง </v-col>
        <v-col> 2 </v-col>
        <v-col> กำลังทำ </v-col>
        <v-col>
          <v-btn color="grey" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row>
    </v-container>
    <v-footer color="grey"> </v-footer>
  </v-card> -->
<!-- </v-container>
  </v-card> -->
<!-- </template>
<style scoped></style> -->
